Window
Keywords: org.p2c2e.zing.Window class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class Window

    java.lang.Object
      org.p2c2e.zing.Window

All Implemented Interfaces:
  java.lang.Comparable, java.util.EventListener, java.awt.event.MouseListener

Direct Known Subclasses:
  BlankWindow, GraphicsWindow, PairWindow, TextBufferWindow, TextGridWindow

public abstract class Window
extends java.lang.Object
implements java.awt.event.MouseListener, java.lang.Comparable

Field Summary
`static int` | `ABOVE`
`static int` | `BELOW`
`static int` | `BLANK`
`static int` | `FIXED`
`static int` | `GRAPHICS`
`static int` | `LEFT`
`static int` | `PAIR`
`static int` | `PROPORTIONAL`
`static int` | `RIGHT`
`static Window` | `root`
`static int` | `TEXT_BUFFER`
`static int` | `TEXT_GRID`

Constructor Summary
`Window(java.awt.font.FontRenderContext context)`

Method Summary
`protected void` | `cancelCharacterInput()`
`protected java.lang.String` | `cancelLineInput()`
`protected void` | `cancelMouseInput()`
`protected void` | `clear()`
`static Stream.Result` | `close(Window w)`
`Stream.Result` | `closeStream()`
`int` | `compareTo(java.lang.Object o)`
`protected Style` | `createHintedStyle(Style style)`
`protected void` | `createHintedStyles(java.util.Map styles, boolean useHints)`
`protected void` | `doLayout()`
`protected void` | `focusHighlight()`
`Stream` | `getEchoStream()`
`PairWindow` | `getParent()`
`Window` | `getSibling()`
`protected int` | `getSplit(int size, int axis)`
`Stream` | `getStream()`
`protected java.util.Map` | `getStyleMap()`
`int` | `getWindowHeight()`
`protected int` | `getWindowType()`
`int` | `getWindowWidth()`
`protected void` | `handleKey(java.awt.event.KeyEvent e)`
`protected boolean` | `isFocusStealable()`
`protected boolean` | `isRequestingKeyboardInput()`
`protected boolean` | `measureStyle(java.lang.String stName, int hint, Int b)`
`void` | `mouseClicked(java.awt.event.MouseEvent e)`
`void` | `mouseEntered(java.awt.event.MouseEvent e)`
`void` | `mouseExited(java.awt.event.MouseEvent e)`
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)`
`protected void` | `putChar(char c)`
`protected void` | `putString(java.lang.String s)`
`protected abstract void` | `rearrange(java.awt.Rectangle r)`
`protected boolean` | `requestCharacterInput(CharInputConsumer c)`
`protected boolean` | `requestLineInput(LineInputConsumer c, java.lang.String init, int max)`
`protected boolean` | `requestMouseInput(MouseInputConsumer c)`
`protected void` | `restyle(boolean useHints)`
`void` | `setEchoStream(Stream s)`
`protected void` | `setStyle(Style style)`
`static Window` | `split(Window src, int method, int size, boolean border, int winType)`
`protected void` | `unfocusHighlight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLANK

    public static final int BLANK

See Also:
  Constant Field Values

### PAIR

    public static final int PAIR

See Also:
  Constant Field Values

### TEXT_BUFFER

    public static final int TEXT_BUFFER

See Also:
  Constant Field Values

### TEXT_GRID

    public static final int TEXT_GRID

See Also:
  Constant Field Values

### GRAPHICS

    public static final int GRAPHICS

See Also:
  Constant Field Values

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### ABOVE

    public static final int ABOVE

See Also:
  Constant Field Values

### BELOW

    public static final int BELOW

See Also:
  Constant Field Values

### FIXED

    public static final int FIXED

See Also:
  Constant Field Values

### PROPORTIONAL

    public static final int PROPORTIONAL

See Also:
  Constant Field Values

### root

    public static Window root

Constructor Detail

### Window

    public Window(java.awt.font.FontRenderContext context)

Method Detail

### getWindowType

    protected int getWindowType()

### restyle

    protected void restyle(boolean useHints)

### getStream

    public Stream getStream()

### getEchoStream

    public Stream getEchoStream()

### setEchoStream

    public void setEchoStream(Stream s)

### getWindowWidth

    public int getWindowWidth()

### getWindowHeight

    public int getWindowHeight()

### doLayout

    protected void doLayout()

### isRequestingKeyboardInput

    protected boolean isRequestingKeyboardInput()

### setStyle

    protected void setStyle(Style style)

### putChar

    protected void putChar(char c)

### putString

    protected void putString(java.lang.String s)

### clear

    protected void clear()

### measureStyle

    protected boolean measureStyle(java.lang.String stName,
                                   int hint,
                                   Int b)

### createHintedStyles

    protected void createHintedStyles(java.util.Map styles,
                                      boolean useHints)

### createHintedStyle

    protected Style createHintedStyle(Style style)

### getStyleMap

    protected java.util.Map getStyleMap()

### getParent

    public PairWindow getParent()

### getSibling

    public Window getSibling()

### closeStream

    public Stream.Result closeStream()

### close

    public static Stream.Result close(Window w)

### split

    public static Window split(Window src,
                               int method,
                               int size,
                               boolean border,
                               int winType)

### rearrange

    protected abstract void rearrange(java.awt.Rectangle r)

### isFocusStealable

    protected boolean isFocusStealable()

### focusHighlight

    protected void focusHighlight()

### unfocusHighlight

    protected void unfocusHighlight()

### getSplit

    protected int getSplit(int size,
                           int axis)

### requestMouseInput

    protected boolean requestMouseInput(MouseInputConsumer c)

### requestCharacterInput

    protected boolean requestCharacterInput(CharInputConsumer c)

### requestLineInput

    protected boolean requestLineInput(LineInputConsumer c,
                                       java.lang.String init,
                                       int max)

### cancelMouseInput

    protected void cancelMouseInput()

### cancelCharacterInput

    protected void cancelCharacterInput()

### cancelLineInput

    protected java.lang.String cancelLineInput()

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### handleKey

    protected void handleKey(java.awt.event.KeyEvent e)

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD